#include <iostream>
using namespace std;

int main(){
    int n, k;
    cin>>n;
    int niz[n];
    long long int zbir;

    for(int i = 0; i < n; i++){
        cin>>niz[i];
    }

    for(int i = 0; i < 2 * (n-1); i++){
        cin>>k;
    }

    int m = 0;
    cout<<m<<endl;
    cout<<m<<endl;
    cout<<m<<endl;
}